ru.bitel.bgbilling.modules.tv.api.server.bean

## Class TvDeviceDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<E>
      - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
        - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<D>
          - - ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao<TvDevice,TvDeviceType>
            - - ru.bitel.bgbilling.modules.tv.api.server.bean.TvDeviceDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TvDeviceDao
      extends DeviceDao<TvDevice,TvDeviceType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `AbstractEntityAttrDao.AddressItemModifiedEventListener`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getImplPS, insertEntityPS, updateEntityPS, updateEntityPS2`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, filterWeightComparator, userId`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvDeviceDao(java.sql.Connection con, int mid)`
    `TvDeviceDao(java.sql.Connection con, int mid, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Directory<TvDeviceType>` | `getTypeDir()`
    `protected TvDevice` | `newDevice()`
    `protected TvDeviceType` | `newDeviceType(int id, java.lang.String title)`

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

      `deleteImpl, getFromRS, getFromRSImpl, getTreeFromList, getValues, list, list, listByType, listByUptimeTime, move, node, node, root, root, setExtraParams, update, updateImpl, updateUptime`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getFromRS, getImpl, linkEntity, list, list, listImpl, recycle, unlinkEntity`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `checkEntityAttribute, checkEntitySpecAttrDelete, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityValueForIds, getFromRS, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TvDeviceDao

          public TvDeviceDao(java.sql.Connection con,
                             int mid,
                             int userId)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### TvDeviceDao

          public TvDeviceDao(java.sql.Connection con,
                             int mid)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### newDevice

          protected TvDevice newDevice()

      Specified by:
        `newDevice` in class `DeviceDao<TvDevice,TvDeviceType>`

    - #### newDeviceType

          protected TvDeviceType newDeviceType(int id,
                                               java.lang.String title)

      Specified by:
        `newDeviceType` in class `DeviceDao<TvDevice,TvDeviceType>`

    - #### getTypeDir

          protected Directory<TvDeviceType> getTypeDir()
                                                throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getTypeDir` in class `DeviceDao<TvDevice,TvDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`